Package org.apache.sling.launchpad.testservices.post

# Class SlingPostOperationExample

java.lang.Object
org.apache.sling.launchpad.testservices.post.SlingPostOperationExample

All Implemented Interfaces:
  `org.apache.sling.servlets.post.PostOperation`

public class SlingPostOperationExample extends Object implements org.apache.sling.servlets.post.PostOperation
Example PostOperation used in integration tests

## Field Summary

### Fields inherited from interface org.apache.sling.servlets.post.PostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`SlingPostOperationExample()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingPostOperationExample

public SlingPostOperationExample()

## Method Details

### run

public void run(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)

Specified by:
  `run` in interface `org.apache.sling.servlets.post.PostOperation`